org.h2.jdbc

## Interface JdbcStatementBackwardsCompat

All Known Implementing Classes:
  JdbcCallableStatement, JdbcPreparedStatement, JdbcStatement

    public interface JdbcStatementBackwardsCompat

Allows us to compile on older platforms, while still implementing the methods from the newer JDBC API.

### Method Summary

Methods
`java.lang.String` `enquoteIdentifier(java.lang.String identifier, boolean alwaysQuote)` Enquotes the specified identifier.
`long[]` `executeLargeBatch()` Executes the batch.
`long` `executeLargeUpdate(java.lang.String sql)` Executes a statement (insert, update, delete, create, drop) and returns the update count.
`long` `executeLargeUpdate(java.lang.String sql, int autoGeneratedKeys)` Executes a statement and returns the update count.
`long` `executeLargeUpdate(java.lang.String sql, int[] columnIndexes)` Executes a statement and returns the update count.
`long` `executeLargeUpdate(java.lang.String sql, java.lang.String[] columnNames)` Executes a statement and returns the update count.
`long` `getLargeMaxRows()` Gets the maximum number of rows for a ResultSet.
`long` `getLargeUpdateCount()` Returns the last update count of this statement.
`boolean` `isSimpleIdentifier(java.lang.String identifier)` Checks if specified identifier may be used without quotes.
`void` `setLargeMaxRows(long max)` Gets the maximum number of rows for a ResultSet.

### Method Detail

#### getLargeUpdateCount

    long getLargeUpdateCount()
                             throws java.sql.SQLException

Returns the last update count of this statement.

Returns:
  the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback; -1 if the statement was a select).
Throws:
  `java.sql.SQLException` - if this object is closed or invalid

#### setLargeMaxRows

    void setLargeMaxRows(long max)
                         throws java.sql.SQLException

Gets the maximum number of rows for a ResultSet.

Parameters:
  `max` - the number of rows where 0 means no limit
Throws:
  `java.sql.SQLException` - if this object is closed

#### getLargeMaxRows

    long getLargeMaxRows()
                         throws java.sql.SQLException

Gets the maximum number of rows for a ResultSet.

Returns:
  the number of rows where 0 means no limit
Throws:
  `java.sql.SQLException` - if this object is closed

#### executeLargeBatch

    long[] executeLargeBatch()
                             throws java.sql.SQLException

Executes the batch. If one of the batched statements fails, this database will continue.

Returns:
  the array of update counts
Throws:
  `java.sql.SQLException`

#### executeLargeUpdate

    long executeLargeUpdate(java.lang.String sql)
                            throws java.sql.SQLException

Executes a statement (insert, update, delete, create, drop) and returns the update count. If another result set exists for this statement, this will be closed (even if this statement fails). If auto commit is on, this statement will be committed. If the statement is a DDL statement (create, drop, alter) and does not throw an exception, the current transaction (if any) is committed after executing the statement.

Parameters:
  `sql` - the SQL statement
Returns:
  the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback)
Throws:
  `java.sql.SQLException` - if a database error occurred or a select statement was executed

#### executeLargeUpdate

    long executeLargeUpdate(java.lang.String sql,
                          int autoGeneratedKeys)
                            throws java.sql.SQLException

Executes a statement and returns the update count. This method just calls executeUpdate(String sql) internally. The method getGeneratedKeys supports at most one columns and row.

Parameters:
  `sql` - the SQL statement
  `autoGeneratedKeys` - ignored
Returns:
  the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback)
Throws:
  `java.sql.SQLException` - if a database error occurred or a select statement was executed

#### executeLargeUpdate

    long executeLargeUpdate(java.lang.String sql,
                          int[] columnIndexes)
                            throws java.sql.SQLException

Executes a statement and returns the update count. This method just calls executeUpdate(String sql) internally. The method getGeneratedKeys supports at most one columns and row.

Parameters:
  `sql` - the SQL statement
  `columnIndexes` - ignored
Returns:
  the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback)
Throws:
  `java.sql.SQLException` - if a database error occurred or a select statement was executed

#### executeLargeUpdate

    long executeLargeUpdate(java.lang.String sql,
                          java.lang.String[] columnNames)
                            throws java.sql.SQLException

Executes a statement and returns the update count. This method just calls executeUpdate(String sql) internally. The method getGeneratedKeys supports at most one columns and row.

Parameters:
  `sql` - the SQL statement
  `columnNames` - ignored
Returns:
  the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback)
Throws:
  `java.sql.SQLException` - if a database error occurred or a select statement was executed

#### enquoteIdentifier

    java.lang.String enquoteIdentifier(java.lang.String identifier,
                                     boolean alwaysQuote)
                                       throws java.sql.SQLException

Enquotes the specified identifier.

Parameters:
  `identifier` - identifier to quote if required
  `alwaysQuote` - if `true` identifier will be quoted unconditionally
Returns:
  specified identifier quoted if required or explicitly requested
Throws:
  `java.sql.SQLException`

#### isSimpleIdentifier

    boolean isSimpleIdentifier(java.lang.String identifier)
                               throws java.sql.SQLException

Checks if specified identifier may be used without quotes.

Parameters:
  `identifier` - identifier to check
Returns:
  is specified identifier may be used without quotes
Throws:
  `java.sql.SQLException`